## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iObjectWatcherListener Struct Reference
[Crystal Space 3D Engine]

Implement this class if you're interested in hearing about object watcher events. More...

`#include <iengine/objwatch.h>`

Inheritance diagram for iObjectWatcherListener:

[legend]
List of all members.

## Public Member Functions

virtual void | ObjectChanged (int op, iSector *sector, iMeshWrapper *mesh)=0
| A change has occured.
virtual void | ObjectChanged (int op, iLight *light)=0
| A change has occured.
virtual void | ObjectChanged (int op, iMovable *movable)=0
| A change has occured.

## Detailed Description

Implement this class if you're interested in hearing about object watcher events.

Definition at line 69 of file objwatch.h.

## Member Function Documentation

virtual void iObjectWatcherListener::ObjectChanged | ( | int | op,
|  | iSector * | sector,
|  | iMeshWrapper * | mesh
| ) | `[pure virtual]`

| A change has occured. You can use the operation to examine what kind of change it is.

virtual void iObjectWatcherListener::ObjectChanged | ( | int | op,
|  | iLight * | light
| ) | `[pure virtual]`

| A change has occured. You can use the operation to examine what kind of change it is.

virtual void iObjectWatcherListener::ObjectChanged | ( | int | op,
|  | iMovable * | movable
| ) | `[pure virtual]`

| A change has occured. You can use the operation to examine what kind of change it is.

The documentation for this struct was generated from the following file:

- iengine/objwatch.h